Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class CacheMethod

    java.lang.Object
      com.beasys.commerce.util.CacheMethod

Deprecated

    @Deprecated
    public class CacheMethod

extends Object

Abstracts a key for caching Java method objects

Constructor Summary
`CacheMethod(Class clazz, String methodName, Class[] paramTypes, Method method)` Deprecated Cache method.

Method Summary
`protected boolean` | `checkParams(Class[] someParams)` Deprecated Check params.
`boolean` | `equals(Object anObject)` Deprecated Equals.
`String` | `getKey()` Deprecated Returns a key
`Method` | `getMethod()` Deprecated Returns the method
`void` | `setMethod(Method method)` Deprecated Sets the method
`String` | `toString()` Deprecated

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CacheMethod

    public CacheMethod(Class clazz,
                       String methodName,
                       Class[] paramTypes,
                       Method method)

  Deprecated
  Cache method.

  Parameters
    `clazz` - Class that the method is specified in
    `methodName` - String method name
    `params` - Array of parameter types
    `methon` - Method

Method Detail

### getKey

    public String getKey()

  Deprecated
  Returns a key

### toString

    public String toString()

  Deprecated
  Overrides:
    `toString` in class `Object`

### getMethod

    public Method getMethod()

  Deprecated
  Returns the method

### setMethod

    public void setMethod(Method method)

  Deprecated
  Sets the method

### equals

    public boolean equals(Object anObject)

  Deprecated
  Equals.

  Overrides:
    `equals` in class `Object`
  Parameters
    `anObject` -
  Returns
    `boolean`

### checkParams

    protected boolean checkParams(Class[] someParams)

  Deprecated
  Check params.

  Parameters
    `someParams` -
  Returns
    `boolean`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.